use ExtUtils::MakeMaker;

sub MY::postamble {
    return <<'MAKE_DEBUG';
debug:
	@$(MAKE) $* "DEFINE=-DBYPASS -DDEBUG -g"
MAKE_DEBUG
}

WriteMakefile(
  NAME         => 'Confixx::Filter',
  VERSION_FROM => 'lib/Confixx/Filter.pm',
  DEFINE => '',
  LIBS   => [''],
  INC    => '-I. -I..',
  OBJECT => '$(O_FILES) ../Cipher.o',

  # The line below disables both the dynamic link test and the
  # test for DEBUGGING.
  # It is only enabled here to allow the decrypt test harness
  # to run without having to build statically.
  DEFINE => "-DBYPASS -DNDEBUG",
  #DEFINE => "-DBYPASS -DDEBUG",
);
